Page MenuHomePhabricator

[NFC} fix "Target does not support MC emission!" Error in HowToUseJit Example.
ClosedPublic

Authored by xgupta on Nov 29 2020, 12:46 PM.

Details

Summary

On running the HowToUseJIT example, after constructing the LLVM module it didn't get JIT compilation instead print the following error message:- Running foo: LLVM ERROR: Target does not support MC emission!
[1] 20154 abort (core dumped) HowToUseJIT.
So this patch fixes the issue and results as expected print 11.

Diff Detail

Event Timeline

xgupta created this revision.Nov 29 2020, 12:46 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 29 2020, 12:46 PM
xgupta requested review of this revision.Nov 29 2020, 12:46 PM
xgupta abandoned this revision.Dec 11 2020, 10:57 AM

@lhames Please review the revision and if it looks fine, commit on my behalf as I don't have commit access.

xgupta reclaimed this revision.Jan 20 2021, 9:21 AM
lhames accepted this revision.Jan 24 2021, 2:51 AM

LGTM. Thanks Shivam!

This revision is now accepted and ready to land.Jan 24 2021, 2:51 AM